org.apache.tools.ant.util

## Class WeakishReference.HardReference

- java.lang.Object
- - org.apache.tools.ant.util.WeakishReference
  - - org.apache.tools.ant.util.WeakishReference.HardReference

- Direct Known Subclasses:
    WeakishReference12
  Enclosing class:
    WeakishReference

  Deprecated.
  since 1.7. Hopefully nobody is using this.

      public static class WeakishReference.HardReference
      extends WeakishReference

  This was a hard reference for Java 1.1. Since Ant1.7,

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tools.ant.util.WeakishReference

      `WeakishReference.HardReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeakishReference.HardReference(java.lang.Object object)` Deprecated. constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.tools.ant.util.WeakishReference

      `createReference, get`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WeakishReference.HardReference

          public WeakishReference.HardReference(java.lang.Object object)

      Deprecated.
      constructor.
      Parameters:
        `object` - the object that the reference will refer to.